OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.OcclusionQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVOcclusionQuery :: MonadIO m => m Bool
- gl_NV_occlusion_query :: Bool
- gl_CURRENT_OCCLUSION_QUERY_ID_NV :: GLenum
- gl_PIXEL_COUNTER_BITS_NV :: GLenum
- gl_PIXEL_COUNT_AVAILABLE_NV :: GLenum
- gl_PIXEL_COUNT_NV :: GLenum
- glBeginOcclusionQueryNV :: MonadIO m => GLuint -> m ()
- glDeleteOcclusionQueriesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glEndOcclusionQueryNV :: MonadIO m => m ()
- glGenOcclusionQueriesNV :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetOcclusionQueryivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetOcclusionQueryuivNV :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glIsOcclusionQueryNV :: MonadIO m => GLuint -> m GLboolean

# Extension Support

glGetNVOcclusionQuery :: MonadIO m => m Bool

Is the NV_occlusion_query extension supported?

gl_NV_occlusion_query :: Bool

Is the NV_occlusion_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVOcclusionQuery` in those cases instead.

# Enums

gl_CURRENT_OCCLUSION_QUERY_ID_NV :: GLenum

gl_PIXEL_COUNTER_BITS_NV :: GLenum

gl_PIXEL_COUNT_AVAILABLE_NV :: GLenum

gl_PIXEL_COUNT_NV :: GLenum

# Functions

glBeginOcclusionQueryNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m () |

glDeleteOcclusionQueriesNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

glEndOcclusionQueryNV :: MonadIO m => m ()

glGenOcclusionQueriesNV

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

glGetOcclusionQueryivNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type `OcclusionQueryParameterNameNV`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glGetOcclusionQueryuivNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type `OcclusionQueryParameterNameNV`.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

glIsOcclusionQueryNV

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.